## calindori 23.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(calindori VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "5.95.0")
set(QT_MIN_VERSION "5.15.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(CTest)
include(FeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMPoQmTools)
include(ECMConfiguredInstall)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX CALINDORI
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    Gui
    Qml
    Quick
    QuickControls2
    Svg
    Network
)

if (QT_MAJOR_VERSION EQUAL "5")
    find_package(Qt5QuickCompiler REQUIRED)
endif()

if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    Kirigami2
    I18n
    CoreAddons
    CalendarCore
    Notifications
    People
)

if(NOT ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus)
    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons)
endif()

add_subdirectory(src)
add_subdirectory(icons)

if(NOT ANDROID)
    add_subdirectory(calindac)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

install(FILES org.kde.calindori.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(PROGRAMS org.kde.calindori.desktop DESTINATION ${KDE_INSTALL_APPDIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
calindori (23.08.1-1) unstable; urgency=medium

  * Initial release. Closes: #987752

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Thu, 21 Sep 2023 13:49:37 +0200

=== debian/control ===
Source: calindori
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.95.0~),
               libqt5core5a (>= 5.15.0~),
               libqt5dbus5 (>= 5.15.0~),
               libqt5gui5 (>= 5.15.0~),
               libqt5network5 (>= 5.15.0~),
               libqt5qml5 (>= 5.15.0~),
               libqt5quick5 (>= 5.15.0~),
               libqt5svg5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
               kirigami2-dev (>= 5.95.0~),
               libkf5calendarcore-dev (>= 5:5.95.0~),
               libkf5config-dev (>= 5.95.0~),
               libkf5coreaddons-dev (>= 5.95.0~),
               libkf5dbusaddons-dev (>= 5.95.0~),
               libkf5i18n-dev (>= 5.95.0~),
               libkf5notifications-dev (>= 5.95.0~),
               libkf5people-dev (>= 5.95.0~),
               pkg-config,
               pkg-kde-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/calindori
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/calindori
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/calindori.git
Rules-Requires-Root: no

Package: calindori
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
         qml-module-org-kde-people,
         qml-module-qtquick-dialogs,
Description: Calendar for Plasma Mobile
 Calindori is a touch friendly calendar application.
 It has been designed for mobile devices but it can also
 run on desktop environments.

## calindori 23.08.3

=== debian/changelog ===
calindori (23.08.3-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 25 Nov 2023 17:55:21 +0100

## calindori 23.08.4

=== debian/changelog ===
calindori (23.08.4-1) unstable; urgency=medium

  [ undef ]
  * Add dependency on qml-module-org-kde-kirigami2

  [ Marco Mattiolo]
  * New upstream release
  * Update d/copyright after upstream changes

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Thu, 07 Dec 2023 22:03:19 +0100

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-people,
          qml-module-qtquick-dialogs,
 Description: Calendar for Plasma Mobile

## calindori 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

if (QT_MAJOR_VERSION EQUAL "5")
    qtquick_compiler_add_resources(RESOURCES resources.qrc)
else()
    qt_add_resources(RESOURCES resources.qrc)
endif()

add_executable(calindori
    main.cpp
    calindoriconfig.cpp
    localcalendar.cpp
    incidencealarmsmodel.cpp
    daysofmonthmodel.cpp
    recurrenceperiodmodel.cpp
    daysofmonthincidencemodel.cpp
    incidencemodel.cpp
    alarmchecker.cpp
    datahandler.cpp
    calendarcontroller.cpp
    attendeesmodel.cpp
    ${RESOURCES}
)

target_link_libraries(calindori 
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::Svg
    Qt::Network
    Qt::QuickControls2
    KF${QT_MAJOR_VERSION}::ConfigCore 
    KF${QT_MAJOR_VERSION}::I18n 
    KF${QT_MAJOR_VERSION}::CalendarCore 
    KF${QT_MAJOR_VERSION}::CoreAddons 
    KF${QT_MAJOR_VERSION}::People
)
if (BUILD_TESTING)
    target_link_libraries(calindori Qt::Test)
endif()

target_include_directories(calindori PRIVATE ${CMAKE_BINARY_DIR})

if(ANDROID)
    kirigami_package_breeze_icons(ICONS
    appointment-reminder
    calindori
    contact-new-symbolic
    delete
    dialog-cancel
    dialog-ok
    document-edit
    document-import
    document-export
    edit-clear-all
    edit-entry
    editor
    go-down
    go-next
    go-previous
    go-up
    gps
    help-about-symbolic
    hide_table_row
    list-add
    media-playlist-repeat
    meeting-attending
    meeting-attending-tentative
    meeting-participant-no-response
    meeting-participant-request-response
    meeting-organizer
    object-select-symbolic
    remove
    resource-calendar-child-insert
    resource-calendar-insert
    settings-configure
    show_table_row
    tag-events
    user
    view-calendar
    view-calendar-day
    view-calendar-tasks
    view-calendar-timeline
    view-choose
    window-close-symbolic
)
else()
    target_link_libraries(calindori Qt::Widgets Qt::DBus KF${QT_MAJOR_VERSION}::DBusAddons)
endif()

install(TARGETS calindori ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
calindori (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:27 +1100

calindori (23.08.5-0ubuntu3) noble; urgency=medium

  * Build depend on Qt dev packages instead of listing the shared
    libraries which have changed name in the time_t64 transition.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Mar 2024 07:14:42 +0000

calindori (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:01:00 +0000

calindori (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 14 Mar 2024 00:55:44 +0000

=== debian/control ===
Source: calindori
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.95.0~),
               kirigami2-dev (>= 5.95.0~),
               libkf5calendarcore-dev (>= 5:5.95.0~),
               libkf5config-dev (>= 5.95.0~),
               libkf5coreaddons-dev (>= 5.95.0~),
               libkf5dbusaddons-dev (>= 5.95.0~),
               libkf5i18n-dev (>= 5.95.0~),
               libkf5notifications-dev (>= 5.95.0~),
               libkf5people-dev (>= 5.95.0~),
               libqt5svg5-dev (>= 5.15.0~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/calindori
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calindori
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calindori
Rules-Requires-Root: no

Package: calindori
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-people,
         qml-module-qtquick-dialogs,
Description: Calendar for Plasma Mobile
 Calindori is a touch friendly calendar application.
 It has been designed for mobile devices but it can also
 run on desktop environments.

## calindori 24.02.1

=== debian/changelog ===
calindori (24.02.1-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Update d/control for build-deps after time64 transition (Closes: #1067919)
  * Update d/control to make build-deps list transition-proof

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Fri, 29 Mar 2024 10:06:56 +0100

calindori (24.02.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Update d/control replacing obsolete pkg-conf with pkgconf
  * Update d/control adding dependencies missing in non-Plasma environments
  * Patch: FormCard.qml path for the old kirigami-addons still used in Debian

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 02 Mar 2024 15:27:11 +0100

=== debian/control ===
Source: calindori
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.95.0~),
               libqt5svg5-dev (>= 5.15.0~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
               kirigami2-dev (>= 5.95.0~),
               libkf5calendarcore-dev (>= 5:5.95.0~),
               libkf5config-dev (>= 5.95.0~),
               libkf5coreaddons-dev (>= 5.95.0~),
               libkf5dbusaddons-dev (>= 5.95.0~),
               libkf5i18n-dev (>= 5.95.0~),
               libkf5notifications-dev (>= 5.95.0~),
               libkf5people-dev (>= 5.95.0~),
               pkgconf,
               pkg-kde-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/calindori
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/calindori
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/calindori.git
Rules-Requires-Root: no

Package: calindori
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	 qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-people,
	 qml-module-org-kde-qqc2breezestyle | qml-module-org-kde-qqc2desktopstyle,
	 qml-module-org-kde-quickcharts,
         qml-module-qtquick-dialogs,
Description: Calendar for Plasma Mobile
 Calindori is a touch friendly calendar application.
 It has been designed for mobile devices but it can also
 run on desktop environments.

## calindori 24.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(calindori VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "5.240.0")
set(QT_MIN_VERSION "6.5.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(CTest)
include(FeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMPoQmTools)
include(ECMConfiguredInstall)
include(ECMAddAndroidApk)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX CALINDORI
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    Gui
    Qml
    Quick
    QuickControls2
    Svg
    Network
)

if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    Kirigami2
    I18n
    CoreAddons
    CalendarCore
    Notifications
    People
)

if(NOT ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons)
endif()

add_subdirectory(src)
add_subdirectory(icons)

if(NOT ANDROID)
    add_subdirectory(calindac)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

install(FILES org.kde.calindori.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(PROGRAMS org.kde.calindori.desktop DESTINATION ${KDE_INSTALL_APPDIR})

ecm_add_android_apk(calindori ANDROID_DIR ${CMAKE_CURRENT_SOURCE_DIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
calindori (24.08.3-1) unstable; urgency=medium

  * New upstream release
  * Drop patch as kirigami-addons is now recent enough in Debian
  * Update d/rules for building on KF6 instead of KF5
  * Update d/control after upstream changes (Closes: #1079660)
  * Std-Ver: 4.7.0 (no change required)
  * Update d/copyright after upstream changes

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sun, 10 Nov 2024 15:32:01 +0100

=== debian/control ===
Source: calindori
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libkf6calendarcore-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6notifications-dev,
               libkf6people-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/calindori
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/calindori
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/calindori.git
Rules-Requires-Root: no

Package: calindori
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-people,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-dialogs,
Description: Calendar for Plasma Mobile
 Calindori is a touch friendly calendar application.
 It has been designed for mobile devices but it can also
 run on desktop environments.

## calindori 24.12.0

=== debian/changelog ===
calindori (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:01:24 +0000

calindori (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:01:14 +0000

calindori (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Nov 2024 07:17:40 +0000

## calindori 24.12.1

=== debian/changelog ===
calindori (24.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Change maintainer to the Qt/KDE Team.
  * Update Vcs-* URLs to the new location in the Qt/KDE team’s GitLab
    group.

  [ Marco Mattiolo ]
  * New upstream release (24.12.1).
  * Update build-deps and deps with the info from cmake.
  * Simplify packaging by using dh-* build-deps.
  * Drop gbp.conf

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 11 Jan 2025 17:16:00 +0100

=== debian/control ===
Source: calindori
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               kirigami-addons-dev,
               libkf6calendarcore-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkf6people-dev (>= 5.240.0~),
               libkirigami-dev (>= 6.0.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/calindori
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/calindori
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/calindori.git
Rules-Requires-Root: no

Package: calindori
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${qml6:Depends},
Description: Calendar for Plasma Mobile
 Calindori is a touch friendly calendar application.
 It has been designed for mobile devices but it can also
 run on desktop environments.

## calindori 24.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:10:01 +0000

calindori (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:24:01 +0000

## calindori 24.12.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,7 @@
 #
 # SPDX-License-Identifier: BSD-2-Clause
 
-if (QT_MAJOR_VERSION EQUAL "5")
-    qtquick_compiler_add_resources(RESOURCES resources.qrc)
-else()
-    qt_add_resources(RESOURCES resources.qrc)
-endif()
+qt_add_resources(RESOURCES resources.qrc)
 
 add_executable(calindori
     main.cpp

=== debian/changelog ===
calindori (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:34:53 +0000

=== debian/control ===
Source: calindori
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               libkf6calendarcore-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6notifications-dev,
               libkf6people-dev,
               libkirigami-dev (>= 6.0.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/calindori
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calindori
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calindori
Rules-Requires-Root: no

Package: calindori
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-people,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-dialogs,
Description: Calendar for Plasma Mobile
 Calindori is a touch friendly calendar application.
 It has been designed for mobile devices but it can also
 run on desktop environments.

## calindori 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.04.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:44:48 +0200

calindori (24.12.3-1) unstable; urgency=medium

  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Standards-version 4.7.2 (no changes needed).
  * d/watch: set pgpsigurlmangle option for uscan to check upstream signatures.
  * Add/update Heiko Becker in upstream signing keys.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sun, 09 Mar 2025 15:26:40 +0100

=== debian/control ===
Source: calindori
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               kirigami-addons-dev,
               libkf6calendarcore-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkf6people-dev (>= 5.240.0~),
               libkirigami-dev (>= 6.0.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/calindori/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/calindori
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/calindori.git
Rules-Requires-Root: no

Package: calindori
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Calendar for Plasma Mobile
 Calindori is a touch friendly calendar application.
 It has been designed for mobile devices but it can also
 run on desktop environments.

## calindori 25.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:59:53 +0100

calindori (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:40:28 +0100

## calindori 25.04.2

=== debian/changelog ===
calindori (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:36:36 +0100

## calindori 25.04.3

=== debian/changelog ===
calindori (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:35:01 +0100

## calindori 25.07.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:01:57 +0100

## calindori 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:27:04 +0100

## calindori 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.08.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep extra signatures in upstream signing key.
    - Add .gitattributes for changelog merge driver.
    - Add .gitignore
    - Remove gbp.conf

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Aug 2025 07:51:36 +0100

calindori (25.08.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release (25.08.0).
  * Update build-deps and deps with the info from cmake.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.

  [ Aurélien COUDERC ]
  * Drop extra signatures on upstream signing keys.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Fri, 15 Aug 2025 08:54:22 +0200

calindori (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:19:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: calindori
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -24,14 +25,16 @@
                qt6-svg-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/calindori/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/calindori
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/calindori.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calindori
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calindori
 Rules-Requires-Root: no
 
 Package: calindori
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Calendar for Plasma Mobile
  Calindori is a touch friendly calendar application.
  It has been designed for mobile devices but it can also

## calindori 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== calindac/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"calindac\")

set(calindac_SRCS
    calalarmclient.cpp
    calindacmain.cpp
    alarmsmodel.cpp
    alarmnotification.cpp
    notificationhandler.cpp
    solidwakeupbackend.cpp
    wakeupmanager.cpp
    )

qt_add_dbus_adaptor(calindac_SRCS org.kde.calindac.xml calalarmclient.h CalAlarmClient)
qt_add_dbus_adaptor(calindac_SRCS org.kde.wakeupmanager.PowerManagement.xml wakeupmanager.h WakeupManager)

add_executable(calindac ${calindac_SRCS} ${RESOURCES})

target_link_libraries(calindac
    KF${QT_MAJOR_VERSION}::CoreAddons
    KF${QT_MAJOR_VERSION}::ConfigCore
    KF${QT_MAJOR_VERSION}::CalendarCore
    KF${QT_MAJOR_VERSION}::DBusAddons
    KF${QT_MAJOR_VERSION}::Notifications
    KF${QT_MAJOR_VERSION}::I18n
    Qt::DBus
    )

install(TARGETS
    calindac ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    )

install(FILES
    org.kde.calindac.desktop
    DESTINATION ${KDE_INSTALL_AUTOSTARTDIR}
    )

install(FILES calindac.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

set(SERV_EXEC ${KDE_INSTALL_FULL_BINDIR}/calindac)
configure_file(org.kde.calindac.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.calindac.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.calindac.service DESTINATION ${KDE_INSTALL_FULL_DBUSSERVICEDIR})

=== debian/changelog ===
calindori (25.08.1-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:42:56 +0000

calindori (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:29:27 +0000

calindori (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:58:06 +0000

calindori (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:10:27 +0000

calindori (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:24:20 +0000

calindori (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:00:15 +0000

calindori (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:19:02 +0000

calindori (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:52:12 +0000

calindori (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:13:44 +0000

calindori (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:10:17 +0000

calindori (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:01:03 +0000

calindori (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:24:44 +0000

calindori (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:49:08 +0000

calindori (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:20:54 +0000

calindori (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:14:27 +0000

calindori (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:55:29 +0000

calindori (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:11:55 +0000

calindori (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:56:29 +0000

calindori (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:45:15 +0000

calindori (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:23:57 +0000

calindori (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 10:02:09 +0000

calindori (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:01:37 +0000

calindori (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:48:45 +0000

calindori (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:32:27 +0000

calindori (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:11:59 +0000

calindori (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 01 Dec 2022 02:06:18 +0000

calindori (22.09-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 02:06:19 +0000

calindori (22.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:27:57 +0000

calindori (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 24 Apr 2022 02:06:22 +0000

calindori (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Feb 2022 02:07:11 +0000

calindori (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Dec 2021 02:06:05 +0000

calindori (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 02:06:03 +0000

calindori (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 16:33:02 +0000

calindori (21.06-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:54 +0000

calindori (21.05-0neon) focal; urgency=medium

  * New release

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 18 Feb 2021 11:31:44 +0000

calindori (1.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Thu, 30 May 2019 13:47:09 +0200

calindori (0.0.1+git20190521-1) unstable; urgency=medium

  * New snapshot

 -- Jonah Brüchert <jbb@kaidan.im>  Tue, 21 May 2019 16:11:58 +0200

calindori (0.0.1+git20190405-1) unstable; urgency=medium

  [ Linus Jahn ]
  * Initial release.

  [ Jonah Brüchert ]
  * New snapshot

 -- Jonah Brüchert <jbb@kaidan.im>  Fri, 05 Apr 2019 18:02:01 +0200

=== debian/control ===
Source: calindori
Section: kde
Priority: optional
XSBC-Original-Maintainer: Linus Jahn <lnj@kaidan.im>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kpeople-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/kde/calindori
Vcs-Git: https://invent.kde.org/neon/mobile/calindori.git
Vcs-Browser: https://invent.kde.org/neon/mobile/calindori
Maintainer: Neon CI <neon@kde.org>

Package: calindori
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Calendar application for Plasma Mobile
 Simple calendar using Kirigami for a convergent user interface.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@-([\d.]+).tar.xz

## calindori 25.08.1+p24.04+vstable+git20250910.0643

=== debian/changelog ===
calindori (25.08.1+p24.04+vstable+git20250910.0643-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:43:09 +0000

## calindori 25.08.1+p24.04+vstable+git20251001.0804

=== debian/changelog ===
calindori (25.08.1+p24.04+vstable+git20251001.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 08:04:02 +0000

## calindori 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:38:12 +0100

calindori (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:50:09 +0100

=== debian/control ===
Source: calindori
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               kirigami-addons-dev,
               libkf6calendarcore-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkf6people-dev (>= 5.240.0~),
               libkirigami-dev (>= 6.0.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/calindori/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calindori
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calindori
Rules-Requires-Root: no

Package: calindori
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Calendar for Plasma Mobile
 Calindori is a touch friendly calendar application.
 It has been designed for mobile devices but it can also
 run on desktop environments.

## calindori 25.08.2+p24.04+vstable+git20251012.0519

=== debian/changelog ===
calindori (25.08.2+p24.04+vstable+git20251012.0519-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 05:19:38 +0000

calindori (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:50:17 +0000

## calindori 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.08.3-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 22:46:57 +0000

calindori (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:37 +1000

## calindori 25.08.3+p24.04+vunstable+git20251201.0125

=== debian/changelog ===
calindori (25.08.3+p24.04+vunstable+git20251201.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 01:25:06 +0000

## calindori 25.08.3+p24.04+vunstable+git20251204.0154

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.08.3+p24.04+vunstable+git20251204.0154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:54:42 +0000

## calindori 25.08.3+p24.04+vunstable+git20251208.0333

=== debian/changelog ===
calindori (25.08.3+p24.04+vunstable+git20251208.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 03:33:25 +0000

## calindori 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:48:59 +0000

calindori (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:10:24 +0000

## calindori 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:57:43 +0000

## calindori 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(calindori VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
calindori (25.12.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:59:57 +0000

calindori (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:30:28 +1000

## calindori 25.12.0+p24.04+vstable+git20251231.0356

=== debian/changelog ===
calindori (25.12.0+p24.04+vstable+git20251231.0356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:56:11 +0000

## calindori 25.12.0+p24.04+vstable+git20260103.0254

=== debian/changelog ===
calindori (25.12.0+p24.04+vstable+git20260103.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:54:39 +0000
